OPENRC-SETTINGSD(8)

NAME

openrc-settingsd - system settings D-Bus service for OpenRC

SYNOPSIS

openrc-settingsd [--debug] [--syslog] [--read-only] [--ntp-service=SERVICE] [--update-rc-status]

DESCRIPTION

The openrc-settingsd daemon implements the standard hostnamed (i.e. org.freedesktop.hostname1), localed (i.e. org.freedesktop.locale1), and timedated (org.freedesktop.timedate1) D-Bus interfaces for OpenRC systems. Users and administrators should not need to launch the openrc-settingsd executable manually. Depending on the installation, it will either be launched automatically via D-Bus activation when needed, or started by the administrator as an OpenRC service using /etc/init.d/openrc-settingsd.

OPTIONS

--help
    Show help options.

--version
    Show version information.

--debug
    Enable debugging messages.

--syslog
    Log to syslog.

--read-only
    Run daemon in read-only mode. It will read settings files, but will not modify them.

--ntp-service=SERVICE
    Specify which OpenRC service to use as the NTP service. If this option is not used, openrc-settingsd will attempt to autodetect an appropriate NTP implementation.

--update-rc-status
    Automatically set the status of the openrc-settingsd service to started when the daemon successfully starts, and to stopped when the daemon stops. If openrc-settingsd is manually launched with this argument, the administrator will be able to stop it via /etc/init.d/openrc-settingsd stop.

AUTHORS

Written by Alexandre Rostovtsev ⟨tetromino@gentoo.org⟩.

BUGS

Bug reports should be submitted to the issue tracker ⟨https://gitlab.com/postmarketOS/openrc-settingsd/-/issues⟩.

SEE ALSO

dbus-daemon(1), polkit(8), rc(8)